=== test/maliput_multilane_test_utilities/CMakeLists.txt ===
ament_add_gtest(fixtures_test fixtures_test.cc)

add_dependencies_to_test(fixtures_test)
