=== debian/changelog ===
ros-foxy-maliput-multilane (0.1.5-1focal) focal; urgency=high

  * RoadGeometry::FindRoadPositions: Uses maliput-provided base method.  (#101 <https://github.com/maliput/maliput_multilane/issues/101>)
  * Provides plugins for both builders and improves params configuration. (#99 <https://github.com/maliput/maliput_multilane/issues/99>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Thu, 13 Apr 2023 03:00:00 -0000

ros-foxy-maliput-multilane (0.1.4-1focal) focal; urgency=high

  * Implements interface for providing default parameters via plugin. (#98 <https://github.com/maliput/maliput_multilane/issues/98>)
  * Updates triage workflow. (#96 <https://github.com/maliput/maliput_multilane/issues/96>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Mon, 12 Dec 2022 03:00:00 -0000

ros-foxy-maliput-multilane (0.1.3-1focal) focal; urgency=high

  * Matches with changes in Maliput: Lane::ToLanePosition. (#95 <https://github.com/maliput/maliput_multilane/issues/95>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Wed, 14 Sep 2022 03:00:00 -0000

ros-foxy-maliput-multilane (0.1.2-1focal) focal; urgency=high

  * Fixes test utilities (#93 <https://github.com/maliput/maliput_multilane/issues/93>)
  * Adds triage workflow. (#92 <https://github.com/maliput/maliput_multilane/issues/92>)
  * Improves README. (#91 <https://github.com/maliput/maliput_multilane/issues/91>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Fri, 29 Jul 2022 03:00:00 -0000

ros-foxy-maliput-multilane (0.1.1-1focal) focal; urgency=high

  * Fixes environment hooks. (#90 <https://github.com/maliput/maliput_multilane/issues/90>)
  * Fixes dependency on environment variables. (#89 <https://github.com/maliput/maliput_multilane/issues/89>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Fri, 01 Jul 2022 03:00:00 -0000

ros-foxy-maliput-multilane (0.1.0-1focal) focal; urgency=high

  * Updates package.xml.
  * Suppresses old-rule-api-related warnings. (#88 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/88>)
  * Fixes include folder installation. (#87 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/87>)
  * Relies on compile definitions for testing instead of env vars. (#86 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/86>)
  * Updates license. (#85 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/85>)
  * Uses ament_export_targets. (#84 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/84>)
  * Removes dashing support. (#83 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/83>)
  * Updates IntersectionBook construction points to include the RoadGeometry pointer. (#82 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/82>)
  * Adds BUILD_DOCS flag as opt-in flag (#81 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/81>)
  * Matches with change in maliput's phase ring book loader. (#80 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/80>)
  * Adds workflow_dispatch to other workflows. (#79 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/79>)
  * Adds CI badges (#78 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/78>)
  * Replaces push by workflow_dispatch event in gcc build. (#77 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/77>)
  * Extends RoadNetworkLoader plugin to include yaml descriptions and OnrampMerge implementation. (#76 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/76>)
  * Fixes MALIPUT_PLUGIN_PATH new path. (#75 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/75>)
  * Change install path of the maliput plugin. (#74 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/74>)
  * Use maliput drake (#73 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/73>)
  * Makes multilane to link privately against drake (#72 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/72>)
  * Remove eigen_compare_matrices.h (#71 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/71>)
  * Use maliput math instead of drake (#70 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/70>)
  * Hide drake types part 2 (#69 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/69>)
  * Hide drake types part 1 (#68 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/68>)
  * Enable doxygen verification. (#66 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/66>)
  * Replaces AMENT_CURRENT_PREFIX by COLCON_PREFIX_PATH (#65 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/65>)
  * Removes ament_target_dependencies macro. (#64 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/64>)
  * Set up linker properly when using clang in CI. (#63 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/63>)
  * Remove references to GnuInstallDir vars. (#62 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/62>)
  * rosdep update --include-eol-distros (#61 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/61>)
  * Enable CI for 20.04 (#60 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/60>)
  * Foxy style fix part 2: reorder includes (#59 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/59>)
  * pybind11 is not needed in CI (#58 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/58>)
  * Foxy include style part 1: use <> for maliput, drake headers (#57 <https://github.com/ToyotaResearchInstitute/maliput_multilane/issues/57>)

