=== debian/control ===
Source: ros-foxy-maliput-multilane
Section: misc
Priority: optional
Maintainer: Daniel Stonier <daniel.stonier@tri.global>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, libyaml-cpp-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-clang-format <!nocheck>, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-maliput, ros-foxy-maliput-drake, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-maliput-multilane
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, libyaml-cpp-dev, ros-foxy-maliput, ros-foxy-maliput-drake, ros-foxy-ros-workspace
Description: Maliput Multilane.
